Skip to main content

Run plan

POST 

/plans/v1/plans/:id/run

Authentication scope: Workspace

Accessible using: OAuth 2.0 API Tokens

Run a specific plan. A new snapshot is created if required.

If any flows or outputs referenced by the plan tasks have been deleted, the response includes a MissingFlowReferences validation status.

If the plan is valid, it is queued for execution. This endpoint returns a planSnapshotRunId that can be used to track the plan execution status using getPlanSnapshotRun.

Request​

Responses​

Success